<!DOCTYPE html>
<html lang="sv">

<head>
    <meta charset="utf-8">
    <title>Pong spel</title>
</head>

<body>
    <script>
        var WIDTH = 700,
            HEIGHT = 600,
            pi = Math.PI;
        var canvas = document.createElement('canvas');
        canvas.width = WIDTH;
        canvas.height = HEIGHT;
        var context = canvas.getContext('2d');

        window.onload = function() {
            document.body.appendChild(canvas);
            //            animate(step);
        }

        var steps = function() {
            update();
            render();
            //            animate(step);
        }

        var update = function() {};

        var render = function() {
            context.fillStyle = "#FF00FF";
            context.fillRect(0, 0, width, height);
        };

        var paddle = function(x, y, width, height) {
            this.x = x;
            this.y = y;
            this.width = width;
            this.height = height;
            this.x_speed = 0;
            this.y_speed = 0;
        }

        paddle.prototype.render = function() {
            context.fillStyle = "#0000FF";
            context.fillRect(this.x, this.y, this.width, this.height);
        };

        function player() {
            this.paddle = new paddle(175, 580, 50, 10);
        }

        function computer() {
            this.paddle = new paddle(175, 10, 50, 10);
        }

        player.prototype.render = function() {
            this.paddle.render();
        };

        computer.prototype.render = function() {
            this.paddle.render();
        };

        function ball(x, y) {
            this.x = x;
            this.y = y;
            this.x_speed = 0;
            this.y_speed = 3;
            this.radius = 5;
        }

        ball.prototype.render = function() {
            context.beginPath();
            context.arc(this.x, this.y, this.radius, 2 * Math.PI, false);
            context.fillStyle = "#000000";
            context.fill();
        };

        var player = new player();
        var computer = new computer();
        var ball = new ball(200, 300);

        var render = function() {
            context.fillStyle = "#FF00FF";
            context.fillRect(0, 0, width, height);
            player.render();
            computer.render();
            ball.render();
        };

    </script>
</body>

</html>
